curl --request POST \
--url https://flow.seekr.com/v1/flow/agents/create \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "My Agent",
"instructions": "You are a helpful assistant that can search files, browse the web, and run Python code.",
"model_id": "deployment-123",
"temperature": 0.4,
"reasoning_effort": "medium",
"tool_ids": [
"tool-123",
"tool-456"
]
}
'{
"id": "<string>",
"name": "<string>",
"instructions": "<string>",
"status": "Inactive",
"reasoning_effort": "low",
"user_id": "<string>",
"team_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"model_id": "<string>",
"planner_model_id": "<string>",
"tool_model_id": "<string>",
"output": {
"frequency": "always",
"instructions": "<string>",
"model_id": "<string>",
"temperature": 1
},
"temperature": 1,
"planner_temperature": 1,
"tools": [
{
"name": "file_search",
"tool_env": {
"FILE_SEARCH_INDEX": "<string>",
"DOCUMENT_TOOL_DESC": "<string>",
"EMBEDDING_MODEL": "<string>",
"TOP_K": 10,
"SCORE_THRESHOLD": 0
},
"id": "<string>"
}
],
"last_deployed_at": "2023-11-07T05:31:56Z",
"active_duration": 0
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Create agent v1
Create a new agent with a model, instructions, and optional tools.
curl --request POST \
--url https://flow.seekr.com/v1/flow/agents/create \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "My Agent",
"instructions": "You are a helpful assistant that can search files, browse the web, and run Python code.",
"model_id": "deployment-123",
"temperature": 0.4,
"reasoning_effort": "medium",
"tool_ids": [
"tool-123",
"tool-456"
]
}
'{
"id": "<string>",
"name": "<string>",
"instructions": "<string>",
"status": "Inactive",
"reasoning_effort": "low",
"user_id": "<string>",
"team_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"model_id": "<string>",
"planner_model_id": "<string>",
"tool_model_id": "<string>",
"output": {
"frequency": "always",
"instructions": "<string>",
"model_id": "<string>",
"temperature": 1
},
"temperature": 1,
"planner_temperature": 1,
"tools": [
{
"name": "file_search",
"tool_env": {
"FILE_SEARCH_INDEX": "<string>",
"DOCUMENT_TOOL_DESC": "<string>",
"EMBEDDING_MODEL": "<string>",
"TOP_K": 10,
"SCORE_THRESHOLD": 0
},
"id": "<string>"
}
],
"last_deployed_at": "2023-11-07T05:31:56Z",
"active_duration": 0
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}POST /v2/flow/agents/create instead.tool_ids parameter accepts IDs for any tool type, including agent-as-tools. When including agent-as-tools, the sub-agents and their tool wrappers must already exist before creating the supervisor agent.
For details on building multi-agent workflows, see Agent as tool.Authorizations
Your Seekr API key, sent in the Authorization header with no 'Bearer' prefix.
Body
25632768DEPRECATED: Use tool_ids instead.
- CreateFileSearch
- CreateWebSearch
- CreateRunPython
Show child attributes
Show child attributes
{
"name": "file_search",
"tool_env": {
"document_tool_desc": "Search through uploaded documents",
"file_search_index": "my-document-index",
"score_threshold": 0.7,
"top_k": 10
}
}
Preferred way to associate tools with an agent.
32768327683276832768Optional configuration for the agent's final response. Overrides the top-level settings for response generation.
Show child attributes
Show child attributes
Controls the predictability of the agent's reasoning. Accepts a value from 0 to 2. Defaults to 0.6. Lower values produce more consistent results, and higher values introduce more variation.
0 <= x <= 2Controls how much reasoning the agent uses when working through a request. Accepts low, medium, or high, where higher levels produce more thorough reasoning. The speed_optimized and performance_optimized values are only supported for backward compatibility. speed_optimized maps to low, and performance_optimized maps to high.
low, medium, high, speed_optimized, performance_optimized Response
Resource created
Inactive, Pending, Active, Updating, Failed Controls how much reasoning the agent uses when working through a request. Accepts low, medium, or high, where higher levels produce more thorough reasoning. The speed_optimized and performance_optimized values are only supported for backward compatibility. speed_optimized maps to low, and performance_optimized maps to high.
low, medium, high, speed_optimized, performance_optimized Show child attributes
Show child attributes
0 <= x <= 20 <= x <= 2- FileSearch
- WebSearch
- RunPython
- AgentAsTool
- MCPConnectorTool
Show child attributes
Show child attributes
x >= 0Was this page helpful?